# MatICCFactor

Performs in-place incomplete Cholesky factorization of matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatICCFactor(Mat mat,IS row,MatFactorInfo* info)

Collective on Mat

### Input Parameters

| mat | - the matrix
| row | - row/column permutation
| fill | - expected fill factor >= 1.0
| level | - level of fill, for ICC(k)

### Notes

Probably really in-place only when level of fill is zero, otherwise allocates new space to store factored matrix and deletes previous memory.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatICCFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages